Bug 190242 - Firefox instance running as root when used to read docs for system-config-*
Firefox instance running as root when used to read docs for system-config-*
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: 87718
  Show dependency treegraph
 
Reported: 2006-04-29 00:27 EDT by Mariano Suárez-Alvarez
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-24 07:47:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mariano Suárez-Alvarez 2006-04-29 00:27:30 EDT
When logged in as a regular user, and when using system-config-network, going to
Help > Contents opens an instance of Firefox (or the preferred web browser, I
guess) running as root. If one next closes system-config-network, the Firefox
instance survives.

I would think there is no need for the Firefox process to be running as root in
order to read documentation. Leaving it behind the system-* app can moreover
expose the user to great peril if she inadvertently uses that firefox instance.

Marking this High priority, as we probably do not want users to be surfing the
web with root priviledges...

BTW, I have not checked other system-* apps...

This issue was raised at
<http://forums.fedoraforum.org/forum/showthread.php?t=107157>.
Comment 1 Mariano Suárez-Alvarez 2006-05-19 11:05:04 EDT
Yay for private dependencies!
Comment 2 Harald Hoyer 2006-05-19 11:09:26 EDT
This is just an internal tracker.. don't worry...
Comment 3 Mariano Suárez-Alvarez 2006-06-27 05:12:08 EDT
One cannot help wondering how the blocked bug 87718
got resolved ;-)

Note You need to log in before you can comment on or make changes to this bug.